MdbTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.ejb.mdb.MdbTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.ejb.mdb
Class MdbTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.modules.ejb.EjbTagsHandler
                  xdoclet.modules.ejb.mdb.MdbTagsHandler

public class MdbTagsHandler
extends EjbTagsHandler

Version:
  $Revision: 1.16 $
Author:
  Ara Abrahamian (ara_e@email.com)
xdoclet.taghandler
  namespace="EjbMdb"
created
  Oct 16, 2001

Field Summary

Fields inherited from class xdoclet.modules.ejb.EjbTagsHandler
`ALL, LOCAL_SUFFIX, SERVICE_ENDPOINT, SERVICE_ENDPOINT_SUFFIX`

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`MdbTagsHandler()`

Method Summary
`String` | `destinationDescription()` Returns the description of the current message destination
`String` | `destinationDisplayName()` Returns the display-name of the current message destination
`String` | `destinationJndiName()` Returns the jndi-name of the current message destination
`String` | `destinationName()` Returns the name of the current message destination
`void` | `forAllDestinations(String template)` Evaluates the body block for each ejb:message-destination defined in class level
`void` | `forAllMDBeans(String template)` Evaluates the body block for each EJBean derived from MessageDrivenBean.
`static String` | `getMessageDrivenClassFor(xjavadoc.XClass clazz)` Gets the MdbClassFor attribute of the MdbTagsHandler class
`protected static String` | `getMessageDrivenClassPattern()` Gets the MdbClassPattern attribute of the MdbTagsHandler class
`void` | `ifDestinationHasDescription(String template)` Evaluate the body block if the current message destination has a descrition
`void` | `ifDestinationHasDisplayName(String template)` Evaluate the body block if the current message destination has a display-name
`void` | `ifDestinationHasJndiName(String template)` Evaluate the body block if the current message destination has a jndi-name
`void` | `ifHasActivationConfig(String template, Properties attributes)` Evaluate the body block if the current class has a activation config
`void` | `ifMessageDriven(String template)` Evaluate the body block if current class is of a message driven bean type.
`void` | `ifNotMessageDriven(String template)` Evaluate the body block if current class is not of a message driven bean type.
`static boolean` | `isMessageDriven(xjavadoc.XClass clazz)` Returns true if clazz is a message-driven bean, false otherwise.
`String` | `mdbClass()` Returns the name of message-driven bean class.
`String` | `messageDrivenClass()` Returns the name of message-driven bean class.

Methods inherited from class xdoclet.modules.ejb.EjbTagsHandler
`beanType, choosePackage, concreteFullClassName, ejbExternalRefName, ejbName, ejbRefName, ejbRefName, extendsFromFor, forAllBeans, getDependentClassFor, getDependentClassTagName, getEjb, getEjbIdFor, getEjbNameFor, getEjbSpec, getShortEjbNameFor, hasTransaction, id, ifIsAConcreteEJBean, ifLocalEjb, ifNotLocalEjb, ifNotRemoteEjb, ifNotServiceEndpointEjb, ifRemoteEjb, ifServiceEndpointEjb, isAConcreteEJBean, isEjb, isLocalEjb, isOnlyLocalEjb, isOnlyRemoteEjb, isOnlyServiceEndpointEjb, isRemoteEjb, isServiceEndpointEjb, prefixWithEjbSlash, shortEjbName, shouldTraverseSuperclassForDependentClass, symbolicClassName`

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MdbTagsHandler

    public MdbTagsHandler()

Method Detail

### getMessageDrivenClassFor

    public static String getMessageDrivenClassFor(xjavadoc.XClass clazz)

  Gets the MdbClassFor attribute of the MdbTagsHandler class

  Parameters:
    `clazz` - Describe what the parameter does
  Returns:
    The MessageDrivenClassFor value

### isMessageDriven

    public static boolean isMessageDriven(xjavadoc.XClass clazz)

  Returns true if clazz is a message-driven bean, false otherwise.

  Parameters:
    `clazz` - Description of Parameter
  Returns:
    The MessageDriven value

### getMessageDrivenClassPattern

    protected static String getMessageDrivenClassPattern()

  Gets the MdbClassPattern attribute of the MdbTagsHandler class

  Returns:
    The MdbClassPattern value

### forAllMDBeans

    public void forAllMDBeans(String template)
                       throws XDocletException

  Evaluates the body block for each EJBean derived from MessageDrivenBean.

  Parameters:
    `template` - The body of the block tag
  Throws:
    `XDocletException`
  See Also:
    `isMessageDriven(xjavadoc.XClass)`
  doc.tag
    type="block"

### ifMessageDriven

    public void ifMessageDriven(String template)
                         throws XDocletException

  Evaluate the body block if current class is of a message driven bean type.

  Parameters:
    `template` - The body of the block tag
  Throws:
    `XDocletException`
  doc.tag
    type="block"

### ifNotMessageDriven

    public void ifNotMessageDriven(String template)
                            throws XDocletException

  Evaluate the body block if current class is not of a message driven bean type.

  Parameters:
    `template` - The body of the block tag
  Throws:
    `XDocletException`
  doc.tag
    type="block"

### messageDrivenClass

    public String messageDrivenClass()
                              throws XDocletException

  Returns the name of message-driven bean class.

  Returns:
    The name of generated message-driven bean class.
  Throws:
    `XDocletException`
  doc.tag
    type="content"

### mdbClass

    public String mdbClass()
                    throws XDocletException

  Returns the name of message-driven bean class.

  Returns:
    The name of generated message-driven bean class.
  Throws:
    `XDocletException`
  doc.tag
    type="content"

### ifHasActivationConfig

    public void ifHasActivationConfig(String template,
                                      Properties attributes)
                               throws XDocletException

  Evaluate the body block if the current class has a activation config

  Parameters:
    `template` - The body of the block tag
    `attributes` -
  Throws:
    `XDocletException`
  doc.tag
    type="block"

### forAllDestinations

    public void forAllDestinations(String template)
                            throws XDocletException

  Evaluates the body block for each ejb:message-destination defined in class level

  Parameters:
    `template` - The body of the block tag
  Throws:
    `XDocletException`
  See Also:
    `destinationName()`, `destinationDescription()`, `destinationDisplayName()`
  doc.tag
    type="block"

### destinationName

    public String destinationName()
                           throws XDocletException

  Returns the name of the current message destination

  Returns:
    Current message destination's name
  Throws:
    `XDocletException`
  See Also:
    `forAllDestinations(java.lang.String)`
  doc.tag
    type="content"

### destinationDisplayName

    public String destinationDisplayName()
                                  throws XDocletException

  Returns the display-name of the current message destination

  Returns:
    Current message destination's display-name
  Throws:
    `XDocletException`
  See Also:
    `forAllDestinations(java.lang.String)`
  doc.tag
    type="content"

### ifDestinationHasDisplayName

    public void ifDestinationHasDisplayName(String template)
                                     throws XDocletException

  Evaluate the body block if the current message destination has a display-name

  Parameters:
    `template` - The body of the block tag
  Throws:
    `XDocletException`
  doc.tag
    type="block"

### destinationJndiName

    public String destinationJndiName()
                               throws XDocletException

  Returns the jndi-name of the current message destination

  Returns:
    Current message destination's jndi-name
  Throws:
    `XDocletException`
  See Also:
    `forAllDestinations(java.lang.String)`
  doc.tag
    type="content"

### ifDestinationHasJndiName

    public void ifDestinationHasJndiName(String template)
                                  throws XDocletException

  Evaluate the body block if the current message destination has a jndi-name

  Parameters:
    `template` - The body of the block tag
  Throws:
    `XDocletException`
  doc.tag
    type="block"

### destinationDescription

    public String destinationDescription()
                                  throws XDocletException

  Returns the description of the current message destination

  Returns:
    Current message destination's description
  Throws:
    `XDocletException`
  See Also:
    `forAllDestinations(java.lang.String)`
  doc.tag
    type="content"

### ifDestinationHasDescription

    public void ifDestinationHasDescription(String template)
                                     throws XDocletException

  Evaluate the body block if the current message destination has a descrition

  Parameters:
    `template` - The body of the block tag
  Throws:
    `XDocletException`
  doc.tag
    type="block"

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD